﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Silanis.ESL.SDK;
using Newtonsoft.Json.Linq;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Diagnostics;

namespace esl
{
    class PlaceholdersManagementRest
    {
        public static void start()
        {
            HttpClient httpClient = new HttpClient();
            httpClient.DefaultRequestHeaders.Add("Authorization", "Basic " + Properties.Settings.Default.key);
            httpClient.DefaultRequestHeaders.Add("Accept", "application/json");

            //Add placeholder
            string jsonString = "{\"id\":\"Manager\",\"type\":\"SIGNER\",\"index\":0,\"name\":\"Manager\"}";
            StringContent json = new StringContent(jsonString, Encoding.UTF8, "application/json");

            var response = httpClient.PostAsync(new Uri("https://sandbox.esignlive.com/api/packages/y0vNT13ia20eNsSP5iOLA0o-e_8=/roles"), json).Result;
            Debug.WriteLine(response.Content.ReadAsStringAsync().Result);

            //Update placeholder
            string jsonString2 = "{\"id\":\"Manager\",\"type\":\"SIGNER\",\"index\":0,\"name\":\"Client\"}";
            StringContent json2 = new StringContent(jsonString2, Encoding.UTF8, "application/json");

            var response2 = httpClient.PutAsync(new Uri("https://sandbox.esignlive.com/api/packages/y0vNT13ia20eNsSP5iOLA0o-e_8=/roles/Manager"), json2).Result;
            Debug.WriteLine(response2.Content.ReadAsStringAsync().Result);

            //Delete Placeholder
            var response3 = httpClient.DeleteAsync(new Uri("https://sandbox.esignlive.com/api/packages/y0vNT13ia20eNsSP5iOLA0o-e_8=/roles/Manager")).Result;
            Debug.WriteLine(response3.Content.ReadAsStringAsync().Result);
        }
    }
}
